Skip to main content
Version: Next

Sign invoice

POST /<provider>/sign-contract

API used to sign an invoice and send it to the Tax Authority.

Headers

NameRequiredDescription
AuthorizationBearer access_token
Content-Typeapplication/json
X-Tax-CodeSeller's tax code.

Body Parameters

NameRequiredDescription
idInvoice sid (returned in each element of the invoice list).
inv.staxSeller's tax code.
inv.start_dateInvoice issue date.
inv.end_dateInvoice issue date.
curl --location 'https://stag-invoice-hub.1invoice.vn/1Invoice/sign-contract' \
--header 'authorization: Bearer O87316arj5+Od3Fqyy5hzdBfIuPk73eKqpAzBSvv8sY=' \
--header 'x-tax-code: 0106026495-998' \
--header 'Content-Type: application/json' \
--data '{
"id": "3a1baffc-e577-a496-8a02-35145559c213",
"inv": {
"stax": "0106026495-998",
"start_date": "2025-08-12",
"end_date": "2025-08-12"
}
}'